using System;

namespace Ornek2020
{
    class Line
    {
        // Çizgi köşe koordinatları x,y,z
        public int[] pnt1 = { 0, 0, 0 };
        public int[] pnt2 = { 0, 0, 0 };
        // Köşeler,n hareket yönleri x,y,z
        public int[] dir1 = { 0, 0, 0 };
        public int[] dir2 = { 0, 0, 0 };
        // Çizgi rengi
        public float[] clr = { 0, 0, 0 };
        // Çizgi ömrü
        public int life;

        public Line(bool randomize)
        {
            life = 1000;
            if (randomize)
            {
                var rnd = new Random();
                // Tüm bilgiler 3 değişkenli
                for (int k = 0; k < 3; k++)
                {
                    clr[k] = rnd.Next(50, 100) / 100f;
                    pnt1[k] = rnd.Next(500);
                    pnt2[k] = rnd.Next(500);
                    dir1[k] = rnd.Next(-10, 10);
                    dir2[k] = rnd.Next(-10, 10);
                }
            }
        }
    }
}
